/hardware-toolbox-items-post-one¶
Summary¶
Source repository:
jef-systems/jef-hardware-backendSource SHA:
61af4e71dbca0b2ddf0490d03bb53fe1ee254027Source run id:
29186391370Lambda function:
jef-hardware-post-006HTTP method:
POSTAPI path:
/hardware-toolbox-items-post-oneCloudflare path:
/hardware/async-post/hardware-toolbox-items-post-oneEndpoint URL:
https://api.jefoffice.com/hardware/async-post/hardware-toolbox-items-post-oneCloudflare base URL:
https://api.jefoffice.com/hardware/async-postCloudflare parent path:
/hardwareCloudflare scope:
async-postCloudflare scope path:
/hardware/async-postCloudflare mode:
one-worker-for-lambda-async-postCloudflare Worker:
jef-hardware-lambda-async-postCloudflare Worker route:
api.jefoffice.com/hardware/async-post/\*Payload mode:
json-body
Description¶
|
jef-hardware-post-006 Logical ID: jef-hardware:jef-hardware-toolbox-items:post-one Order Number: 005 |
|
jef-hardware |
|
post-one |
|
POST |
|
ASYNC |
|
/hardware-toolbox-items-post-one Endpoint Name: jef-hardware-toolbox-items-post-one |
|
jef-hardware-toolbox-items |
|
toolbox_item_id |
API Gateway Response¶
|
202 |
|
Request accepted for asynchronous processing. |
Payload Example¶
|
e4f5a3da-4ea0-4c62-a247-0471dca7c1fc |
|
270fc639-e213-4953-a295-190295719a32 |
|
c2b546e0-853f-4943-8dc2-3ee13a69cb16 |
|
1 |
|
Sample Name |
|
value-001 |
|
value-001 |
|
1 |
|
value-001 |
|
value-001 |
|
2026-07-12T08:46:37Z |
|
2026-07-12T08:46:37Z |
|
2026-07-12T08:46:37Z |
Payload Schema¶
{
"type": "object",
"additionalProperties": "False",
"payload_mode": "flat",
"allow_children_wrapper": "False",
"children_wrapper_field": "",
"allow_batch": "False",
"table": "jef-hardware-toolbox-items",
"primary_key": "toolbox_item_id",
"required[0]": "toolbox_id",
"required[1]": "store_id",
"required[2]": "line_number",
"required[3]": "item_name",
"required[4]": "item_code",
"required[5]": "item_category",
"required[6]": "quantity",
"required[7]": "unit",
"required[8]": "status",
"properties.toolbox_item_id.field": "toolbox_item_id",
"properties.toolbox_item_id.type": "S",
"properties.toolbox_item_id.required": "False",
"properties.toolbox_item_id.source_required": "True",
"properties.toolbox_item_id.server_generated": "True",
"properties.toolbox_item_id.autogenerated": "False",
"properties.toolbox_item_id.frontend_autocomputed": "False",
"properties.toolbox_item_id.format": "uuidv4",
"properties.toolbox_item_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.toolbox_id.field": "toolbox_id",
"properties.toolbox_id.type": "S",
"properties.toolbox_id.required": "True",
"properties.toolbox_id.source_required": "True",
"properties.toolbox_id.server_generated": "True",
"properties.toolbox_id.autogenerated": "False",
"properties.toolbox_id.frontend_autocomputed": "False",
"properties.toolbox_id.format": "uuidv4",
"properties.toolbox_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.store_id.field": "store_id",
"properties.store_id.type": "S",
"properties.store_id.required": "True",
"properties.store_id.source_required": "True",
"properties.store_id.server_generated": "True",
"properties.store_id.autogenerated": "False",
"properties.store_id.frontend_autocomputed": "False",
"properties.store_id.format": "uuidv4",
"properties.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.line_number.field": "line_number",
"properties.line_number.type": "N",
"properties.line_number.required": "True",
"properties.line_number.source_required": "True",
"properties.line_number.server_generated": "False",
"properties.line_number.autogenerated": "False",
"properties.line_number.frontend_autocomputed": "False",
"properties.line_number.regex": "^\\d+$",
"properties.item_name.field": "item_name",
"properties.item_name.type": "S",
"properties.item_name.required": "True",
"properties.item_name.source_required": "True",
"properties.item_name.server_generated": "False",
"properties.item_name.autogenerated": "False",
"properties.item_name.frontend_autocomputed": "False",
"properties.item_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"properties.item_code.field": "item_code",
"properties.item_code.type": "S",
"properties.item_code.required": "True",
"properties.item_code.source_required": "True",
"properties.item_code.server_generated": "False",
"properties.item_code.autogenerated": "False",
"properties.item_code.frontend_autocomputed": "False",
"properties.item_code.regex": "^[A-Za-z0-9_-]{1,64}$",
"properties.item_category.field": "item_category",
"properties.item_category.type": "S",
"properties.item_category.required": "True",
"properties.item_category.source_required": "True",
"properties.item_category.server_generated": "False",
"properties.item_category.autogenerated": "False",
"properties.item_category.frontend_autocomputed": "False",
"properties.item_category.regex": "^[A-Za-z0-9_-]{1,64}$",
"properties.quantity.field": "quantity",
"properties.quantity.type": "N",
"properties.quantity.required": "True",
"properties.quantity.source_required": "True",
"properties.quantity.server_generated": "False",
"properties.quantity.autogenerated": "False",
"properties.quantity.frontend_autocomputed": "False",
"properties.quantity.regex": "^-?\\d+(\\.\\d+)?$",
"properties.unit.field": "unit",
"properties.unit.type": "S",
"properties.unit.required": "True",
"properties.unit.source_required": "True",
"properties.unit.server_generated": "False",
"properties.unit.autogenerated": "False",
"properties.unit.frontend_autocomputed": "False",
"properties.unit.regex": "^[A-Za-z0-9_-]{1,64}$",
"properties.status.field": "status",
"properties.status.type": "S",
"properties.status.required": "True",
"properties.status.source_required": "True",
"properties.status.server_generated": "False",
"properties.status.autogenerated": "False",
"properties.status.frontend_autocomputed": "False",
"properties.status.regex": "^[A-Za-z0-9_-]{1,64}$",
"properties.created.field": "created",
"properties.created.type": "S",
"properties.created.required": "False",
"properties.created.source_required": "True",
"properties.created.server_generated": "True",
"properties.created.autogenerated": "False",
"properties.created.frontend_autocomputed": "False",
"properties.created.format": "iso8601",
"properties.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"properties.updated.field": "updated",
"properties.updated.type": "S",
"properties.updated.required": "False",
"properties.updated.source_required": "True",
"properties.updated.server_generated": "True",
"properties.updated.autogenerated": "False",
"properties.updated.frontend_autocomputed": "False",
"properties.updated.format": "iso8601",
"properties.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"properties.deleted_at.field": "deleted_at",
"properties.deleted_at.type": "S",
"properties.deleted_at.required": "False",
"properties.deleted_at.source_required": "False",
"properties.deleted_at.server_generated": "True",
"properties.deleted_at.autogenerated": "False",
"properties.deleted_at.frontend_autocomputed": "False",
"properties.deleted_at.format": "iso8601",
"properties.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"children": "[]",
"root.type": "object",
"root.attributes.toolbox_item_id.field": "toolbox_item_id",
"root.attributes.toolbox_item_id.type": "S",
"root.attributes.toolbox_item_id.required": "False",
"root.attributes.toolbox_item_id.source_required": "True",
"root.attributes.toolbox_item_id.server_generated": "True",
"root.attributes.toolbox_item_id.autogenerated": "False",
"root.attributes.toolbox_item_id.frontend_autocomputed": "False",
"root.attributes.toolbox_item_id.format": "uuidv4",
"root.attributes.toolbox_item_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.toolbox_id.field": "toolbox_id",
"root.attributes.toolbox_id.type": "S",
"root.attributes.toolbox_id.required": "True",
"root.attributes.toolbox_id.source_required": "True",
"root.attributes.toolbox_id.server_generated": "True",
"root.attributes.toolbox_id.autogenerated": "False",
"root.attributes.toolbox_id.frontend_autocomputed": "False",
"root.attributes.toolbox_id.format": "uuidv4",
"root.attributes.toolbox_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.store_id.field": "store_id",
"root.attributes.store_id.type": "S",
"root.attributes.store_id.required": "True",
"root.attributes.store_id.source_required": "True",
"root.attributes.store_id.server_generated": "True",
"root.attributes.store_id.autogenerated": "False",
"root.attributes.store_id.frontend_autocomputed": "False",
"root.attributes.store_id.format": "uuidv4",
"root.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.line_number.field": "line_number",
"root.attributes.line_number.type": "N",
"root.attributes.line_number.required": "True",
"root.attributes.line_number.source_required": "True",
"root.attributes.line_number.server_generated": "False",
"root.attributes.line_number.autogenerated": "False",
"root.attributes.line_number.frontend_autocomputed": "False",
"root.attributes.line_number.regex": "^\\d+$",
"root.attributes.item_name.field": "item_name",
"root.attributes.item_name.type": "S",
"root.attributes.item_name.required": "True",
"root.attributes.item_name.source_required": "True",
"root.attributes.item_name.server_generated": "False",
"root.attributes.item_name.autogenerated": "False",
"root.attributes.item_name.frontend_autocomputed": "False",
"root.attributes.item_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"root.attributes.item_code.field": "item_code",
"root.attributes.item_code.type": "S",
"root.attributes.item_code.required": "True",
"root.attributes.item_code.source_required": "True",
"root.attributes.item_code.server_generated": "False",
"root.attributes.item_code.autogenerated": "False",
"root.attributes.item_code.frontend_autocomputed": "False",
"root.attributes.item_code.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.item_category.field": "item_category",
"root.attributes.item_category.type": "S",
"root.attributes.item_category.required": "True",
"root.attributes.item_category.source_required": "True",
"root.attributes.item_category.server_generated": "False",
"root.attributes.item_category.autogenerated": "False",
"root.attributes.item_category.frontend_autocomputed": "False",
"root.attributes.item_category.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.quantity.field": "quantity",
"root.attributes.quantity.type": "N",
"root.attributes.quantity.required": "True",
"root.attributes.quantity.source_required": "True",
"root.attributes.quantity.server_generated": "False",
"root.attributes.quantity.autogenerated": "False",
"root.attributes.quantity.frontend_autocomputed": "False",
"root.attributes.quantity.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.unit.field": "unit",
"root.attributes.unit.type": "S",
"root.attributes.unit.required": "True",
"root.attributes.unit.source_required": "True",
"root.attributes.unit.server_generated": "False",
"root.attributes.unit.autogenerated": "False",
"root.attributes.unit.frontend_autocomputed": "False",
"root.attributes.unit.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.status.field": "status",
"root.attributes.status.type": "S",
"root.attributes.status.required": "True",
"root.attributes.status.source_required": "True",
"root.attributes.status.server_generated": "False",
"root.attributes.status.autogenerated": "False",
"root.attributes.status.frontend_autocomputed": "False",
"root.attributes.status.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.created.field": "created",
"root.attributes.created.type": "S",
"root.attributes.created.required": "False",
"root.attributes.created.source_required": "True",
"root.attributes.created.server_generated": "True",
"root.attributes.created.autogenerated": "False",
"root.attributes.created.frontend_autocomputed": "False",
"root.attributes.created.format": "iso8601",
"root.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.updated.field": "updated",
"root.attributes.updated.type": "S",
"root.attributes.updated.required": "False",
"root.attributes.updated.source_required": "True",
"root.attributes.updated.server_generated": "True",
"root.attributes.updated.autogenerated": "False",
"root.attributes.updated.frontend_autocomputed": "False",
"root.attributes.updated.format": "iso8601",
"root.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.deleted_at.field": "deleted_at",
"root.attributes.deleted_at.type": "S",
"root.attributes.deleted_at.required": "False",
"root.attributes.deleted_at.source_required": "False",
"root.attributes.deleted_at.server_generated": "True",
"root.attributes.deleted_at.autogenerated": "False",
"root.attributes.deleted_at.frontend_autocomputed": "False",
"root.attributes.deleted_at.format": "iso8601",
"root.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$"
}
Response Schema¶
{
"type": "object",
"properties.ok.type": "boolean",
"properties.accepted.type": "boolean",
"properties.is_committed.type": "boolean",
"properties.request_id.type": "string",
"properties.message.type": "string",
"properties.table.type": "string",
"properties.operation.type": "string",
"properties.primary_key.type": "string",
"properties.primary_key_value.type": "string",
"properties.item_write_count.type": "number",
"properties.child_write_count.type": "number"
}
Request Payload¶
{
"toolbox_item_id": "e4f5a3da-4ea0-4c62-a247-0471dca7c1fc",
"toolbox_id": "270fc639-e213-4953-a295-190295719a32",
"store_id": "c2b546e0-853f-4943-8dc2-3ee13a69cb16",
"line_number": "1",
"item_name": "Sample Name",
"item_code": "value-001",
"item_category": "value-001",
"quantity": "1",
"unit": "value-001",
"status": "value-001",
"created": "2026-07-12T08:46:37Z",
"updated": "2026-07-12T08:46:37Z",
"deleted_at": "2026-07-12T08:46:37Z"
}
Response¶
{
"type": "object",
"properties.ok.type": "boolean",
"properties.accepted.type": "boolean",
"properties.is_committed.type": "boolean",
"properties.request_id.type": "string",
"properties.message.type": "string",
"properties.table.type": "string",
"properties.operation.type": "string",
"properties.primary_key.type": "string",
"properties.primary_key_value.type": "string",
"properties.item_write_count.type": "number",
"properties.child_write_count.type": "number"
}
CMD curl¶
curl -X POST "https://api.jefoffice.com/hardware/async-post/hardware-toolbox-items-post-one" -H "Content-Type: application/json" --data-raw "{\"toolbox_item_id\": \"e4f5a3da-4ea0-4c62-a247-0471dca7c1fc\", \"toolbox_id\": \"270fc639-e213-4953-a295-190295719a32\", \"store_id\": \"c2b546e0-853f-4943-8dc2-3ee13a69cb16\", \"line_number\": 1, \"item_name\": \"Sample Name\", \"item_code\": \"value-001\", \"item_category\": \"value-001\", \"quantity\": 1, \"unit\": \"value-001\", \"status\": \"value-001\", \"created\": \"2026-07-12T08:46:37Z\", \"updated\": \"2026-07-12T08:46:37Z\", \"deleted_at\": \"2026-07-12T08:46:37Z\"}"
PowerShell curl¶
curl.exe -X POST "https://api.jefoffice.com/hardware/async-post/hardware-toolbox-items-post-one" -H "Content-Type: application/json" --data-raw '{"toolbox_item_id": "e4f5a3da-4ea0-4c62-a247-0471dca7c1fc", "toolbox_id": "270fc639-e213-4953-a295-190295719a32", "store_id": "c2b546e0-853f-4943-8dc2-3ee13a69cb16", "line_number": 1, "item_name": "Sample Name", "item_code": "value-001", "item_category": "value-001", "quantity": 1, "unit": "value-001", "status": "value-001", "created": "2026-07-12T08:46:37Z", "updated": "2026-07-12T08:46:37Z", "deleted_at": "2026-07-12T08:46:37Z"}'